%define ant_home %{_datadir}/ant
%define section  free

Name:           ant
Version:        1.6.1
Release:        1jpp_3rh
Epoch:          0
Summary:        Ant build tool for java
Summary(it):    Tool per la compilazione di programmi java
Summary(fr):    Outil de compilation pour java
License:        Apache Software License
URL:            http://ant.apache.org/
Group:          Development/Build Tools
#Vendor:         JPackage Project
#Distribution:   JPackage
Source0:        http://www.apache.org/dist/ant/source/apache-ant-1.6.1-src.tar.bz2
                # ant launch script, (may not be required for 1.6.2+)
Source1:        apache-ant-%{version}.ant
Source2:        apache-ant-%{version}.ant.conf
# Fix temp directory used for file containing large command strings (> 4k)
Patch0:         apache-ant-%{version}.patch
Requires:       jaxp_parser_impl
Requires:       jpackage-utils >= 0:1.5
BuildRequires:  jaxp_parser_impl
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  java-devel
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	ant-optional ant-optional-full
# RHUG
Obsoletes:	ant-devel ant-libs ant-core

%description
Ant is a platform-independent build tool for java. It's used by apache
jakarta and xml projects.

%description -l fr
Ant est un outil de compilation multi-plateformes pour java. Il est
utilis par les projets apache-jakarta et apache-xml.

%description -l it
Ant e' un tool indipendente dalla piattaforma creato per faciltare la
compilazione di programmi java.
Allo stato attuale viene utilizzato dai progetti apache jakarta ed
apache xml.

%package antlr
Summary:        Optional antlr tasks for %{name}
Group:          Development/Build Tools
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       antlr
BuildRequires:  antlr
Provides:       ant-antlr = %{epoch}:%{version}-%{release}
Conflicts:      ant-optional-clean, ant-optional-full

%description antlr
Optional antlr tasks for %{name}.

%description antlr -l fr
Taches antlr optionelles pour %{name}.

%package apache-bsf
Summary:        Optional apache bsf tasks for %{name}
Group:          Development/Build Tools
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       bsf
BuildRequires:  bsf
Provides:       ant-apache-bsf = %{epoch}:%{version}-%{release}
Conflicts:      ant-optional-clean, ant-optional-full

%description apache-bsf
Optional apache bsf tasks for %{name}.

%description apache-bsf -l fr
Taches apache bsf optionelles pour %{name}.

%package apache-resolver
Summary:        Optional apache resolver tasks for %{name}
Group:          Development/Build Tools
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       xml-commons-resolver
BuildRequires:  xml-commons-resolver
Provides:       ant-apache-resolver = %{epoch}:%{version}-%{release}
Conflicts:      ant-optional-clean, ant-optional-full

%description apache-resolver
Optional apache resolver tasks for %{name}.

%description apache-resolver -l fr
Taches apache resolver optionelles pour %{name}.

%package commons-logging
Summary:        Optional commons logging tasks for %{name}
Group:          Development/Build Tools
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jakarta-commons-logging
BuildRequires:  jakarta-commons-logging
Provides:       ant-commons-logging = %{epoch}:%{version}-%{release}
Conflicts:      ant-optional-clean, ant-optional-full

%description commons-logging
Optional commons logging tasks for %{name}.

%description commons-logging -l fr
Taches commons logging optionelles pour %{name}.

#%package commons-net
#Summary:        Optional commons net tasks for %{name}
#Group:          Development/Build Tools
#Requires:       %{name} = %{epoch}:%{version}-%{release}
#Requires:       jakarta-commons-net
#BuildRequires:  jakarta-commons-net
#Provides:       ant-commons-net = %{epoch}:%{version}-%{release}
#Conflicts:      ant-optional-clean, ant-optional-full

#%description commons-net
#Optional commons net tasks for %{name}.

#%description commons-net -l fr
#Taches commons net optionelles pour %{name}.

#%package jai
#Summary:        Optional jai tasks for %{name}
#Group:          Development/Build Tools
#Requires:       %{name} = %{epoch}:%{version}-%{release}
#Requires:       jai
#BuildRequires:  jai
#Provides:       ant-jai = %{epoch}:%{version}-%{release}
#Conflicts:      ant-optional-clean, ant-optional-full

#%description jai
#Optional jai tasks for %{name}.

#%description jai -l fr
#Taches jai optionelles pour %{name}.

%package jakarta-bcel
Summary:        Optional jakarta bcel tasks for %{name}
Group:          Development/Build Tools
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       bcel
BuildRequires:  bcel
Provides:       ant-jakarta-bcel = %{epoch}:%{version}-%{release}
Conflicts:      ant-optional-clean, ant-optional-full

%description jakarta-bcel
Optional jakarta bcel tasks for %{name}.

%description jakarta-bcel -l fr
Taches jakarta bcel optionelles pour %{name}.

%package jakarta-log4j
Summary:        Optional jakarta log4j tasks for %{name}
Group:          Development/Build Tools
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       log4j
BuildRequires:  log4j
Provides:       ant-jakarta-log4j = %{epoch}:%{version}-%{release}
Conflicts:      ant-optional-clean, ant-optional-full

%description jakarta-log4j
Optional jakarta log4j tasks for %{name}.

%description jakarta-log4j -l fr
Taches jakarta log4j optionelles pour %{name}.

%package jakarta-oro
Summary:        Optional jakarta oro tasks for %{name}
Group:          Development/Build Tools
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       oro
BuildRequires:  oro
Provides:       ant-jakarta-oro = %{epoch}:%{version}-%{release}
Conflicts:      ant-optional-clean, ant-optional-full

%description jakarta-oro
Optional jakarta oro tasks for %{name}.

%description jakarta-oro -l fr
Taches jakarta oro optionelles pour %{name}.

%package jakarta-regexp
Summary:        Optional jakarta regexp tasks for %{name}
Group:          Development/Build Tools
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       regexp
BuildRequires:  regexp
Provides:       ant-jakarta-regexp = %{epoch}:%{version}-%{release}
Conflicts:      ant-optional-clean, ant-optional-full

%description jakarta-regexp
Optional jakarta regexp tasks for %{name}.

%description jakarta-regexp -l fr
Taches jakarta regexp optionelles pour %{name}.

%package javamail
Summary:        Optional javamail tasks for %{name}
Group:          Development/Build Tools
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       javamail >= 0:1.2-5jpp
Requires:       jaf >= 0:1.0.1-5jpp
BuildRequires:  javamail >= 0:1.2-5jpp
BuildRequires:  jaf >= 0:1.0.1-5jpp
Provides:       ant-javamail = %{epoch}:%{version}-%{release}
Conflicts:      ant-optional-clean, ant-optional-full

%description javamail
Optional javamail tasks for %{name}.

%description javamail -l fr
Taches javamail optionelles pour %{name}.

%package jdepend
Summary:        Optional jdepend tasks for %{name}
Group:          Development/Build Tools
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jdepend
BuildRequires:  jdepend
Provides:       ant-jdepend = %{epoch}:%{version}-%{release}
Conflicts:      ant-optional-clean, ant-optional-full

%description jdepend
Optional jdepend tasks for %{name}.

%description jdepend -l fr
Taches jdepend optionelles pour %{name}.

%package jmf
Summary:        Optional jmf tasks for %{name}
Group:          Development/Build Tools
Requires:       %{name} = %{epoch}:%{version}-%{release}
Provides:       ant-jmf = %{epoch}:%{version}-%{release}
Conflicts:      ant-optional-clean, ant-optional-full

%description jmf
Optional jmf tasks for %{name}.

%description jmf -l fr
Taches jmf optionelles pour %{name}.

#%package jsch
#Summary:        Optional jsch tasks for %{name}
#Group:          Development/Build Tools
#Requires:       %{name} = %{epoch}:%{version}-%{release}
#Requires:       jsch
#BuildRequires:  jsch
#Provides:       ant-jsch = %{epoch}:%{version}-%{release}
#Conflicts:      ant-optional-clean, ant-optional-full

#%description jsch
#Optional jsch tasks for %{name}.

#%description jsch -l fr
#Taches jsch optionelles pour %{name}.

%package junit
Summary:        Optional junit tasks for %{name}
Group:          Development/Build Tools
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       junit
BuildRequires:  junit
Provides:       ant-junit = %{epoch}:%{version}-%{release}
Conflicts:      ant-optional-clean, ant-optional-full

%description junit
Optional junit tasks for %{name}.

%description junit -l fr
Taches junit optionelles pour %{name}.

%package nodeps
Summary:        Optional tasks for %{name}
Group:          Development/Build Tools
Requires:       %{name} = %{epoch}:%{version}-%{release}
Provides:       ant-nodeps = %{epoch}:%{version}-%{release}
Conflicts:      ant-optional-clean, ant-optional-full

%description nodeps
Optional tasks for %{name}.

%description nodeps -l fr
Taches optionelles pour %{name}.

%package swing
Summary:        Optional swing tasks for %{name}
Group:          Development/Build Tools
Requires:       %{name} = %{epoch}:%{version}-%{release}
Provides:       ant-swing = %{epoch}:%{version}-%{release}
Conflicts:      ant-optional-clean, ant-optional-full

%description swing
Optional swing tasks for %{name}.

%description swing -l fr
Taches swing optionelles pour %{name}.

%package trax
Summary:        Optional trax tasks for %{name}
Group:          Development/Build Tools
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jaxp_transform_impl
Provides:       ant-trax = %{epoch}:%{version}-%{release}
Conflicts:      ant-optional-clean, ant-optional-full

%description trax
Optional trax tasks for %{name}.

%description trax -l fr
Taches trax optionelles pour %{name}.

%package xalan2
Summary:        Optional xalan2 tasks for %{name}
Group:          Development/Build Tools
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       xalan-j2
BuildRequires:  xalan-j2
Provides:       ant-xalan2 = %{epoch}:%{version}-%{release}
Conflicts:      ant-optional-clean, ant-optional-full

%description xalan2
Optional xalan2 tasks for %{name}.

%description xalan2 -l fr
Taches xalan2 optionelles pour %{name}.

%package scripts
Summary:        Additional scripts for %{name}
Group:          Development/Build Tools
AutoReqProv:    no
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       /usr/bin/perl
Requires:       /usr/bin/python

%description scripts
Additional Perl and Python scripts for %{name}.

%description scripts -l fr
Scripts additionels pour %{name}.

%package manual
Summary:        Manual for %{name}
Group:          Development/Build Tools

%description manual
Documentation for %{name}.

%description manual -l it
Documentazione di %{name}.

%description manual -l fr
Documentation pour %{name}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%description javadoc -l fr
Javadoc pour %{name}.

# -----------------------------------------------------------------------------

%prep
%setup -q -n apache-ant-%{version}

# Fix temp directory used for file containing large command strings (> 4k)
%patch0 -p1

# replace ant launch script, (may not be required for 1.6.2+)
cp -p %{SOURCE1} src/script/%{name}

# clean jar files
find . -name "*.jar" -exec rm -f {} \;

# -----------------------------------------------------------------------------

%build
# classpath selects optional components to build
#export CLASSPATH=$(%{_bindir}/build-classpath jaxp_parser_impl xml-commons-apis antlr bcel jaf javamail/mailapi jdepend junit log4j oro regexp xalan-j2 commons-net commons-logging jai/jai_codec jai/jai_core jsch bsf xml-commons-resolver)
export CLASSPATH=$(%{_bindir}/build-classpath jaxp_parser_impl xml-commons-apis antlr bcel jaf javamail/mailapi jdepend junit log4j oro regexp xalan-j2 commons-logging bsf xml-commons-resolver)

# perform bootstrap and build without jjp or user configs,
# (except JAVA_HOME as required by build script)
[ -n "$JAVA_HOME" ] && unset JAVA_HOME
[ -r %{_sysconfdir}/java/java.conf ] && . %{_sysconfdir}/java/java.conf
[ -z "$JAVA_HOME" ] && JAVA_HOME=%{_jvmdir}/java
export JAVA_HOME
sh build.sh --noconfig jars javadocs

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# ANT_HOME and subdirs
mkdir -p $RPM_BUILD_ROOT%{ant_home}/{lib,etc}

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
cp -p build/lib/%{name}-launcher.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-launcher-%{version}.jar

# optional jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}/%{name}
cp -p build/lib/%{name}-antlr.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-antlr-%{version}.jar
cp -p build/lib/%{name}-apache-bsf.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-apache-bsf-%{version}.jar
cp -p build/lib/%{name}-apache-resolver.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-apache-resolver-%{version}.jar
cp -p build/lib/%{name}-commons-logging.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-commons-logging-%{version}.jar
#cp -p build/lib/%{name}-commons-net.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-commons-net-%{version}.jar
#cp -p build/lib/%{name}-jai.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jai-%{version}.jar
cp -p build/lib/%{name}-jakarta-bcel.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jakarta-bcel-%{version}.jar
cp -p build/lib/%{name}-jakarta-log4j.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jakarta-log4j-%{version}.jar
cp -p build/lib/%{name}-jakarta-oro.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jakarta-oro-%{version}.jar
cp -p build/lib/%{name}-jakarta-regexp.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jakarta-regexp-%{version}.jar
cp -p build/lib/%{name}-javamail.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-javamail-%{version}.jar
cp -p build/lib/%{name}-jdepend.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jdepend-%{version}.jar
cp -p build/lib/%{name}-jmf.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jmf-%{version}.jar
#cp -p build/lib/%{name}-jsch.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jsch-%{version}.jar
cp -p build/lib/%{name}-junit.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-junit-%{version}.jar
cp -p build/lib/%{name}-nodeps.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-nodeps-%{version}.jar
cp -p build/lib/%{name}-swing.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-swing-%{version}.jar
cp -p build/lib/%{name}-trax.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-trax-%{version}.jar
cp -p build/lib/%{name}-xalan2.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-xalan2-%{version}.jar

# jar aliases
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# scripts: remove dos and os/2 scripts
rm -f src/script/*.bat
rm -f src/script/*.cmd

# XSLs
cp -p src/etc/*.xsl $RPM_BUILD_ROOT%{ant_home}/etc

# install everything else
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p src/script/* $RPM_BUILD_ROOT%{_bindir}

# default ant.conf
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

# fix link between manual and javadoc
(cd docs/manual; ln -sf %{_javadocdir}/%{name}-%{version} api)

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%pre
rm -f %{_javadir}/ant.jar
rm -f %{_javadir}/ant-optional.jar

# -----------------------------------------------------------------------------

%post antlr
if [ -f %{_sysconfdir}/%{name}.conf ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package antlr$/d' -e '/^ *OPT_JAR_LIST="\$OPT_JAR_LIST"/i\
    OPT_JAR_LIST="$OPT_JAR_LIST antlr ant/ant-antlr" # RPM package antlr' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

%postun antlr
if [ "$1" = "0" ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package antlr$/d' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

# -----------------------------------------------------------------------------

%post apache-bsf
if [ -f %{_sysconfdir}/%{name}.conf ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package apache-bsf$/d' -e '/^ *OPT_JAR_LIST="\$OPT_JAR_LIST"/i\
    OPT_JAR_LIST="$OPT_JAR_LIST bsf ant/ant-apache-bsf" # RPM package apache-bsf' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

%postun apache-bsf
if [ "$1" = "0" ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package apache-bsf$/d' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

# -----------------------------------------------------------------------------

%post apache-resolver
if [ -f %{_sysconfdir}/%{name}.conf ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package apache-resolver$/d' -e '/^ *OPT_JAR_LIST="\$OPT_JAR_LIST"/i\
    OPT_JAR_LIST="$OPT_JAR_LIST xml-commons-resolver ant/ant-apache-resolver" # RPM package apache-resolver' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

%postun apache-resolver
if [ "$1" = "0" ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package apache-resolver$/d' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

# -----------------------------------------------------------------------------

%post commons-logging
if [ -f %{_sysconfdir}/%{name}.conf ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package commons-logging$/d' -e '/^ *OPT_JAR_LIST="\$OPT_JAR_LIST"/i\
    OPT_JAR_LIST="$OPT_JAR_LIST jakarta-commons-logging ant/ant-commons-logging" # RPM package commons-logging' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

%postun commons-logging
if [ "$1" = "0" ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package commons-logging$/d' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

# -----------------------------------------------------------------------------

#%post commons-net
#if [ -f %{_sysconfdir}/%{name}.conf ]; then
#    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
#    sed -e '/# RPM package commons-net$/d' -e '/^ *OPT_JAR_LIST="\$OPT_JAR_LIST"/i\
#    OPT_JAR_LIST="$OPT_JAR_LIST jakarta-commons-net ant/ant-commons-net" # RPM package commons-net' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
#    rm -f %{_sysconfdir}/%{name}.conf.tmp
#fi

#%postun commons-net
#if [ "$1" = "0" ]; then
#    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
#    sed -e '/# RPM package commons-net$/d' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
#    rm -f %{_sysconfdir}/%{name}.conf.tmp
#fi

# -----------------------------------------------------------------------------

#%post jai
#if [ -f %{_sysconfdir}/%{name}.conf ]; then
#    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
#    sed -e '/# RPM package jai$/d' -e '/^ *OPT_JAR_LIST="\$OPT_JAR_LIST"/i\
#    OPT_JAR_LIST="$OPT_JAR_LIST jai ant/ant-jai" # RPM package jai' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
#    rm -f %{_sysconfdir}/%{name}.conf.tmp
#fi

#%postun jai
#if [ "$1" = "0" ]; then
#    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
#    sed -e '/# RPM package jai$/d' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
#    rm -f %{_sysconfdir}/%{name}.conf.tmp
#fi

# -----------------------------------------------------------------------------

%post jakarta-bcel
if [ -f %{_sysconfdir}/%{name}.conf ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package jakarta-bcel$/d' -e '/^ *OPT_JAR_LIST="\$OPT_JAR_LIST"/i\
    OPT_JAR_LIST="$OPT_JAR_LIST bcel ant/ant-jakarta-bcel" # RPM package jakarta-bcel' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

%postun jakarta-bcel
if [ "$1" = "0" ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package jakarta-bcel$/d' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

# -----------------------------------------------------------------------------

%post jakarta-log4j
if [ -f %{_sysconfdir}/%{name}.conf ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package jakarta-log4j$/d' -e '/^ *OPT_JAR_LIST="\$OPT_JAR_LIST"/i\
    OPT_JAR_LIST="$OPT_JAR_LIST log4j ant/ant-jakarta-log4j" # RPM package jakarta-log4j' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

%postun jakarta-log4j
if [ "$1" = "0" ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package jakarta-log4j$/d' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

# -----------------------------------------------------------------------------

%post jakarta-oro
if [ -f %{_sysconfdir}/%{name}.conf ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package jakarta-oro$/d' -e '/^ *OPT_JAR_LIST="\$OPT_JAR_LIST"/i\
    OPT_JAR_LIST="$OPT_JAR_LIST oro ant/ant-jakarta-oro" # RPM package jakarta-oro' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

%postun jakarta-oro
if [ "$1" = "0" ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package jakarta-oro$/d' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

# -----------------------------------------------------------------------------

%post jakarta-regexp
if [ -f %{_sysconfdir}/%{name}.conf ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package jakarta-regexp$/d' -e '/^ *OPT_JAR_LIST="\$OPT_JAR_LIST"/i\
    OPT_JAR_LIST="$OPT_JAR_LIST regexp ant/ant-jakarta-regexp" # RPM package jakarta-regexp' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

%postun jakarta-regexp
if [ "$1" = "0" ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package jakarta-regexp$/d' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

# -----------------------------------------------------------------------------

%post javamail
if [ -f %{_sysconfdir}/%{name}.conf ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package javamail$/d' -e '/^ *OPT_JAR_LIST="\$OPT_JAR_LIST"/i\
    OPT_JAR_LIST="$OPT_JAR_LIST javamail jaf ant/ant-javamail" # RPM package javamail' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

%postun javamail
if [ "$1" = "0" ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package javamail$/d' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

# -----------------------------------------------------------------------------

%post jdepend
if [ -f %{_sysconfdir}/%{name}.conf ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package jdepend$/d' -e '/^ *OPT_JAR_LIST="\$OPT_JAR_LIST"/i\
    OPT_JAR_LIST="$OPT_JAR_LIST jdepend ant/ant-jdepend" # RPM package jdepend' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

%postun jdepend
if [ "$1" = "0" ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package jdepend$/d' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

# -----------------------------------------------------------------------------

%post jmf
if [ -f %{_sysconfdir}/%{name}.conf ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package jmf$/d' -e '/^ *OPT_JAR_LIST="\$OPT_JAR_LIST"/i\
    OPT_JAR_LIST="$OPT_JAR_LIST ant/ant-jmf" # RPM package jmf' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

%postun jmf
if [ "$1" = "0" ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package jmf$/d' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

# -----------------------------------------------------------------------------

#%post jsch
#if [ -f %{_sysconfdir}/%{name}.conf ]; then
#    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
#    sed -e '/# RPM package jsch$/d' -e '/^ *OPT_JAR_LIST="\$OPT_JAR_LIST"/i\
#    OPT_JAR_LIST="$OPT_JAR_LIST jsch ant/ant-jsch" # RPM package jsch' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
#    rm -f %{_sysconfdir}/%{name}.conf.tmp
#fi

#%postun jsch
#if [ "$1" = "0" ]; then
#    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
#    sed -e '/# RPM package jsch$/d' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
#    rm -f %{_sysconfdir}/%{name}.conf.tmp
#fi

# -----------------------------------------------------------------------------

%post junit
if [ -f %{_sysconfdir}/%{name}.conf ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package junit$/d' -e '/^ *OPT_JAR_LIST="\$OPT_JAR_LIST"/i\
    OPT_JAR_LIST="$OPT_JAR_LIST junit ant/ant-junit" # RPM package junit' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

%postun junit
if [ "$1" = "0" ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package junit$/d' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

# -----------------------------------------------------------------------------

%post nodeps
if [ -f %{_sysconfdir}/%{name}.conf ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package nodeps$/d' -e '/^ *OPT_JAR_LIST="\$OPT_JAR_LIST"/i\
    OPT_JAR_LIST="$OPT_JAR_LIST ant/ant-nodeps" # RPM package nodeps' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

%postun nodeps
if [ "$1" = "0" ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package nodeps$/d' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

# -----------------------------------------------------------------------------

%post swing
if [ -f %{_sysconfdir}/%{name}.conf ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package swing$/d' -e '/^ *OPT_JAR_LIST="\$OPT_JAR_LIST"/i\
    OPT_JAR_LIST="$OPT_JAR_LIST ant/ant-swing" # RPM package swing' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

%postun swing
if [ "$1" = "0" ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package swing$/d' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

# -----------------------------------------------------------------------------

%post trax
if [ -f %{_sysconfdir}/%{name}.conf ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package trax$/d' -e '/^ *OPT_JAR_LIST="\$OPT_JAR_LIST"/i\
    OPT_JAR_LIST="$OPT_JAR_LIST jaxp_transform_impl ant/ant-trax" # RPM package trax' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

%postun trax
if [ "$1" = "0" ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package trax$/d' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

# -----------------------------------------------------------------------------

%post xalan2
if [ -f %{_sysconfdir}/%{name}.conf ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package xalan2$/d' -e '/^ *OPT_JAR_LIST="\$OPT_JAR_LIST"/i\
    OPT_JAR_LIST="$OPT_JAR_LIST xalan-j2 ant/ant-xalan2" # RPM package xalan2' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

%postun xalan2
if [ "$1" = "0" ]; then
    mv -f %{_sysconfdir}/%{name}.conf %{_sysconfdir}/%{name}.conf.tmp
    sed -e '/# RPM package xalan2$/d' %{_sysconfdir}/%{name}.conf.tmp > %{_sysconfdir}/%{name}.conf
    rm -f %{_sysconfdir}/%{name}.conf.tmp
fi

# -----------------------------------------------------------------------------

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc KEYS LICENSE README WHATSNEW
%config %{_sysconfdir}/%{name}.conf
%attr(0755,root,root) %{_bindir}/ant
%attr(0755,root,root) %{_bindir}/antRun
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-launcher.jar
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}-launcher-%{version}.jar
%dir %{ant_home}
%dir %{ant_home}/etc
%{ant_home}/etc/ant-update.xsl
%{ant_home}/etc/changelog.xsl
%{ant_home}/etc/log.xsl
%{ant_home}/etc/tagdiff.xsl
%dir %{ant_home}/lib

%files antlr
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-antlr.jar
%{_javadir}/%{name}/%{name}-antlr-%{version}.jar

%files apache-bsf
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-apache-bsf.jar
%{_javadir}/%{name}/%{name}-apache-bsf-%{version}.jar

%files apache-resolver
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-apache-resolver.jar
%{_javadir}/%{name}/%{name}-apache-resolver-%{version}.jar

%files commons-logging
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-commons-logging.jar
%{_javadir}/%{name}/%{name}-commons-logging-%{version}.jar

#%files commons-net
#%defattr(0644,root,root,0755)
#%{_javadir}/%{name}/%{name}-commons-net.jar
#%{_javadir}/%{name}/%{name}-commons-net-%{version}.jar

#%files jai
#%defattr(0644,root,root,0755)
#%{_javadir}/%{name}/%{name}-jai.jar
#%{_javadir}/%{name}/%{name}-jai-%{version}.jar

%files jakarta-bcel
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-jakarta-bcel.jar
%{_javadir}/%{name}/%{name}-jakarta-bcel-%{version}.jar

%files jakarta-log4j
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-jakarta-log4j.jar
%{_javadir}/%{name}/%{name}-jakarta-log4j-%{version}.jar

%files jakarta-oro
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-jakarta-oro.jar
%{_javadir}/%{name}/%{name}-jakarta-oro-%{version}.jar
%{ant_home}/etc/maudit-frames.xsl

%files jakarta-regexp
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-jakarta-regexp.jar
%{_javadir}/%{name}/%{name}-jakarta-regexp-%{version}.jar

%files javamail
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-javamail.jar
%{_javadir}/%{name}/%{name}-javamail-%{version}.jar

%files jdepend
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-jdepend.jar
%{_javadir}/%{name}/%{name}-jdepend-%{version}.jar
%{ant_home}/etc/jdepend.xsl
%{ant_home}/etc/jdepend-frames.xsl

%files jmf
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-jmf.jar
%{_javadir}/%{name}/%{name}-jmf-%{version}.jar

#%files jsch
#%defattr(0644,root,root,0755)
#%{_javadir}/%{name}/%{name}-jsch.jar
#%{_javadir}/%{name}/%{name}-jsch-%{version}.jar

%files junit
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-junit.jar
%{_javadir}/%{name}/%{name}-junit-%{version}.jar
%{ant_home}/etc/junit-frames.xsl
%{ant_home}/etc/junit-noframes.xsl

%files nodeps
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-nodeps.jar
%{_javadir}/%{name}/%{name}-nodeps-%{version}.jar

%files swing
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-swing.jar
%{_javadir}/%{name}/%{name}-swing-%{version}.jar

%files trax
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-trax.jar
%{_javadir}/%{name}/%{name}-trax-%{version}.jar
%{ant_home}/etc/mmetrics-frames.xsl
%{ant_home}/etc/coverage-frames.xsl

%files xalan2
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-xalan2.jar
%{_javadir}/%{name}/%{name}-xalan2-%{version}.jar

%files scripts
%defattr(0755,root,root,0755)
%{_bindir}/*.pl
%{_bindir}/*.py

%files manual
%defattr(0644,root,root,0755)
%doc docs/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%changelog
* Tue Jul 13 2004 Fernando Nasser <fnasser at redhat.com> - 0:1.6.1-1jpp_3rh
- Remove incorrect noreplace option for ant.conf; it can't be used anymore
  because the sub-packages update that file.

* Fri Jun 04 2004 Fernando Nasser <fnasser at redhat.com> - 0:1.6.1-1jpp_2rh
- Add patch to fix temp directory used for file containing large
  command strings (> 4k)

* Thu Jun 03 2004 Fernando Nasser <fnasser at redhat.com> - 0:1.6.1-1jpp_1rh
- Red Hat customizations
- Remove commons-net, jai and jsch as we don't distribute those packages yet

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:1.6.1-1jpp
- Extend subpackage builds to update ant.conf

* Tue Mar 23 2004 Randy Watler <rwatler at finali.com> - 0:1.6.1-1jpp
- Update to Ant 1.6.1
- Change ant launch script to source instead of patch
- Move optional components to ant subdirectory: %{_javadir}/%{name}
- Remove os/2 scripts and set JAVA_HOME for build

* Wed Feb 11 2004 Randy Watler <rwatler at finali.com> - 0:1.6.0-1jpp
- Update to Ant 1.6.0
- Break out optional/optional-full components
- Revise ant launch scripts and support ~/.ant/ant.conf configuration file
- Use --noconfig flag to bootstrap ant build and override existing jpp config
- Modify ant launcher to use ant.library.dir property to find extra jars
- Port changes made in ant launch script for 1.6.2 back into patches

* Wed Aug 13 2003 Paul Nasrat <pauln at truemesh.com> - 0:1.5.4-2jpp
- remove bogus NoSource entries

* Tue Aug 12 2003 Paul Nasrat <pauln at truemesh.com> - 0:1.5.4-1jpp
- Update to 1.5.4
- JavaCC task fixed using merged upstream patches from ant HEAD

* Mon May  5 2003 Ville Skytt <ville.skytta at iki.fi> - 0:1.5.3-2jpp
- Fix non-versioned javadoc symlinking.

* Tue Apr 22 2003 Ville Skytt <ville.skytta at iki.fi> - 0:1.5.3-1jpp
- Update to 1.5.3.
- Remove runtime java-devel dependency.
- Add Epochs in all Provides and Requires.
- Include non-versioned javadoc symlink.
- Build without dependencies that are partially or completely missing from
  JPackage 1.5 (oldbsf, xalan-j1, stylebook1.0b3).
- Add netcomponents to optional jar list in ant.conf.

* Tue Apr 01 2003 Nicolas Mailhot <Nicolas.Mailhot at JPackage.org> - 1.5.2-13jpp
- ant-optional is optional (silly me)
- jaxp_transform is optional , do not require it
- epoch, correct jpackage-utils requires...

* Fri Mar 21 2003 Nicolas Mailhot <Nicolas.Mailhot at JPackage.org> - 1.5.2-11jpp
- add an optional jar list as per Ville's suggestion

* Thu Mar 20 2003 Nicolas Mailhot <Nicolas.Mailhot at JPackage.org> - 1.5.2-10jpp
- hopefully fix CLASSSPATH_OVERRIDE behaviour

* Tue Mar 18 2003 Nicolas Mailhot <Nicolas.Mailhot at JPackage.org> - 1.5.2-7jpp
- for JPackage-utils 1.5

* Wed Mar 12 2003 Ville Skytt <ville.skytta at iki.fi> - 1.5.2-5jpp
- Move ANT_HOME to /usr/share/ant.
- Don't special-case the lib dir for RPM layout any more, use ANT_HOME/lib.
- Install XSLs into ANT_HOME/etc.
- Call set_jvm by default in ant.conf.
- Provide ant-optional-clean (versioned) in ant-optional.
- Make ant-optional-full conflict with ant-optional-clean.
- Add version info to ant-optional provision in ant-optional-full.
- Built with Sun 1.4.1_02 javac (to get JDK 1.4 regex).

* Tue Mar 11 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.5.2-4jp
- changed provided /etc/ant.conf so that if usejikes is allready provided
  it didn't set it. Which such modification if you want to disable
  ant to use jikes even if jikes is set in /etc/ant.conf you'll just have
  to do usejikes=false ant build.xml.

* Mon Mar 10 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.5.2-3jp
- rebuilt with IBM SDK 1.3.1 since there was zip corruption when built
  with jikes 1.18 and IBM SDK 1.4.

* Wed Mar 05 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.5.2-2jp
- updated URL and source location

* Wed Mar 05 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.5.2-1jp
- 1.5.2
- remove JDK 1.4 related patchs which are now included in ant 1.5.2
- fix ant-optional-full pre/post install script (now remove correctly all
  ant optional jars)
- Built with jikes 1.18 and IBM SDK 1.4

* Sat Feb  1 2003 Ville Skytt <ville.skytta at iki.fi> - 1.5.1-8jpp
- Symlink a transformer into ANT_LIB for smoother experience on Java 1.3.
- Requires jaxp_transform_impl.
- Don't remove optional.jar symlinks on optional-full upgrade.
- Include Sun's 1.4 JSSE and JCE jars in runtime path, see
  <http://nagoya.apache.org/bugzilla/show_bug.cgi?id=16242>.
- Use jpackage-utils for setting JAVA_HOME when building.
- Built with Sun 1.4.1_01 javac.

* Mon Jan 20 2003 David Walluck <david@anti-microsoft.org> 1.5.1-7jpp
- oldbsf

* Fri Dec 20 2002 Ville Skytt <ville.skytta at iki.fi> - 1.5.1-6jpp
- Really get rid of automatic dependencies for the -scripts package.

* Wed Dec 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5.1-5jpp
- scripts subpackages
- file-based manual dependencies, as packages doesn't have the same name on RedHat and Mandrake

* Wed Dec 11 2002 Ville Skytt <ville.skytta at iki.fi> - 1.5.1-4jpp
- Patched to allow easier use with Jikes and IBM's 1.4.0, see
  <http://nagoya.apache.org/bugzilla/show_bug.cgi?id=15289> for details.

* Mon Oct 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.5.1-3jpp
- new post script for optional-full since rpm didn't works as
  expected and didn't set correct symlink for ant-optional.jar

* Thu Oct 03 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.5.1-2jpp
- really used JDK 1.4.1 to get JDK 1.4.x Regexp

* Thu Oct 03 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.5.1-1jpp
- ant 1.5.1

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.5-5jpp
- ant script standard behaviour restored, ie ant/lib jars are taken
  before CLASSPATH. You should define CLASSPATH_OVERRIDE env var to have
  CLASSPATH before ant/lib jars
- applied ant script patch for cygwin (cygwin rpm users around ?)
- remove conflict in ant-optional-full, just put provides

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.5-4jpp
- fix a problem in xerces-j2 build by changing the way CLASSPATH is constructed:
  first add jars found in CLASSPATH, then add xml-commons-apis, jaxp_parser_impl,
  ant, ant-optional and finish with jars found in ant/lib.
- jpackage-utils is no more required (but recommanded :)
- ant-optional-full provides ant-optional
- fix link between manual and api (javadoc)

* Thu Jul 11 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.5-3jpp
- add missing symlink between optional-full.jar and optional.jar

* Wed Jul 10 2002 Ville Skytt <ville.skytta at iki.fi> 1.5-2jpp
- Requires jaxp_parser_impl, no longer jaxp_parser2
  (jaxp_parser_impl already requires xml-commons-apis).
- Use sed instead of bash 2 extension when symlinking.

* Wed Jul 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.5-1jpp
* ant 1.5

* Tue Jul 09 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.5.Beta3-1jpp
- ant 1.5 beta 3
- added bcel as required

* Tue Jul 09 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.4.1-14jpp
- added regexp to list of dependant packages

* Tue Jul 09 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.4.1-13jpp
- added optional-full which include all ant tasks, even those without
  matching package
- added jdepend 2.2
- remove require oro, since ant could works without it
- ant lib is now in %{_javadir}/%{name}, put external jars here

* Tue May 07 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-12jpp
- hardcoded distribution and vendor tag
- group tag again

* Thu May 2 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-11jpp
- no more jikes specific support in launch script
- source user prefs before configuration in launch script
- distribution tag
- group tag
- provided original script as documentation

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-10jpp
- used xalan-j1 instead of xalan-j2-compat

* Mon Mar 11 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-9jpp
- jaxp_parser2 support

* Wed Feb 06 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-8jpp
- netcomponents support

* Sun Jan 27 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-7jpp
- adaptation to new stylebook1.0b3 package
- stylebook is a dependency of optional package
- removed redundant dependencies
- launch script correction

* Fri Jan 25 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-6jpp
- cleaned manifest from class-path references
- section macro

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-5jpp
- versioned dir for javadoc
- no dependencies for manual and javadoc packages
- stricter dependency for optional package
- additional sources in individual archives
- upgraded launch script
- no more javadoc cross-linking
- additional requirement for optional package: xml-commons-apis, xalan-j2, xalan-j2-compat, jaf, javamail, & log4j

* Sat Dec 1 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-4jpp
- removed conditional build
- removed redundant BuildRequires
- ant-optional.jar in ant-optional package
- javadoc into javadoc package
- new launch script using functions library

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.4.1-3jpp
- readded Requires: oro junit stylebook-1.0b3 bsf rhino antlr to the main package
- corrected changelog release 1jpp-> 2jpp

* Tue Nov 20 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.4.1-2jpp
- conditional build
- removed packager tag
- new jpp extension
- added xalan 2.2.D13 support
- added BuildRequires: xalan-j2 >= 2.2.D13
- removed Requires: oro junit stylebook-1.0b3 bsf rhino antlr

* Mon Oct 15 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-1jpp
- 1.4.1

* Sat Oct 6 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4-4jpp
- used original tarball

* Sun Sep 30 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4-3jpp
- more macros

* Wed Sep 26 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4-2jpp
- first unified release
- dropped explicit xalan-j2 requirement, as stylebook-1.0b3 already requires it
- added missing xalan-j1 compatibility classes
- s/jPackage/JPackage

* Wed Sep 05 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4-1mdk
- 1.4
- added xalan-j2 antlr bsf rhino to buildrequires and requires
- launch script cleanup

* Tue Jul 31 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3-4mdk
- jaxp_parser symlink is now jaxp_parser.jar

* Thu Jul 26 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3-3mdk
- used alternative jaxp_parser
- updated launch script

* Sat Jun 23 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3-2mdk
- s/Copyright/License/
- truncated description to 72 columns in spec
- updated launch script

* Mon Jun 11 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3-1mdk
- 1.3
- new versioning scheme
- compiled with oro, junit and stylebook support
- spec cleanup

* Sat Mar 10 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2-9mdk
- vendor tag
- packager tag

* Sat Feb 17 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.2-8mdk
- spec cleanup
- corrected changelog
- changed description

* Sun Feb 04 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.2-7mdk
- launch script improvments (Christian Zoffoli <czoffoli@linux-mandrake.com>)
- added french in spec
- more macros

* Fri Feb 02 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.2-6mdk
- corrected launch script

* Thu Feb 01 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.2-5mdk
- more macros
- added italian in spec

* Wed Jan 31 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.2-4mdk
- merged with Henri Gomez <hgomez@users.sourceforge.net> specs:
- changed name to ant
- changed javadir to /usr/share/java
- dropped jdk and jre requirement
- corrected require to jaxp
- added Jikes support
- used our own bash script
- dropped perl script
- dropped ant home directory

* Sun Jan 14 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.2-3mdk
- changed name to jakarta-ant
- changed group to Development/Java

* Wed Jan 04 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.2-2mdk
- new spec file
- discarded ugly non-free Sun jaxp library from sources, and used pretty open-source xerces instead

* Wed Dec 20 2000 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.2-1mdk
- first Mandrake release
- used SRPMS from Henri Gomez <hgomez@users.sourceforge.net>
